<template>
  <a-spin :spinning="loading">
    <a-card :loading="loading" :bordered="false" title="Activities">
      <a-list>
        <a-list-item :key="item.EventId" v-for="item in activities">
          <a-list-item-meta>
            <div slot="title">
              <span>{{ item.EventType }}</span>&nbsp;
              <a-tag color="blue">
                {{ item.EventResponse }}
              </a-tag>
            </div>
            <div slot="description">
              <div><a-icon type="clock-circle" /> {{ item.CreationDate | dayjs }}</div>
              <div><a-icon type="eye" /> {{ item.EventContextData.IpAddress }}</div>
              <div><a-icon type="environment" /> {{ item.EventContextData.City }}, {{ item.EventContextData.Country }}</div>
            </div>
          </a-list-item-meta>
        </a-list-item>
      </a-list>
    </a-card>
  </a-spin>
</template>

<script>
import { recruiterApi } from '@/api'

export default {
  props: {
    info: {
      type: Object,
      default: () => null
    }
  },
  data () {
    return {
      loading: true,
      activities: null
    }
  },
  created () {
    this.activities = []
    this.loadEvents()
  },
  methods: {
    async loadEvents () {
      console.log(this.info)
      const { AuthEvents } = await recruiterApi.getUserEvents(this.info.username)
      console.log(AuthEvents)
      this.activities = [...this.activities, ...AuthEvents]
      this.loading = false
    }
  }
}
</script>

<style></style>
